FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo Catalyst

 
 
LinkBack Thread Tools
 
Old 02-05-2008, 03:47 PM
Mike Frysinger
 
Default setarch blocked by util-linux

On Tuesday 05 February 2008, Derek Fedel wrote:
> Ah, silly me. I should've figured it was something along those lines,
> but I had read mention of catalyst not forcing setarch anymore in the
> ChangeLog and got confused, I guess. Thanks, and sorry for the now
> seemingly inane question.

please fix your quoting ... top posting is the devil

> On Feb 5, 2008 8:16 AM, Andrew Gaffney <agaffney@gentoo.org> wrote:
> > Derek Fedel wrote:
> > > I know! I know! 2.0.5 isn't supposed to have this problem. Let me
> > > explain, I've got a brand new install of 2007.0, a fresh copy of
> > > portage, and this as my spec file:
> >
> > How many times do we have to say this? :P
> >
> > If you're going to build your own CD, you also need to build your own set
> > of stages with the same snapshot. This is the *only* way to completely
> > avoid the various upgrade blockers that occur in the tree.

is there a catalyst/stages FAQ ? if not, there should be ...
-mike
 
Old 02-05-2008, 03:55 PM
Andrew Gaffney
 
Default setarch blocked by util-linux

Mike Frysinger wrote:

On Tuesday 05 February 2008, Derek Fedel wrote:

Ah, silly me. I should've figured it was something along those lines,
but I had read mention of catalyst not forcing setarch anymore in the
ChangeLog and got confused, I guess. Thanks, and sorry for the now
seemingly inane question.


please fix your quoting ... top posting is the devil


I concur :P


On Feb 5, 2008 8:16 AM, Andrew Gaffney <agaffney@gentoo.org> wrote:

Derek Fedel wrote:

I know! I know! 2.0.5 isn't supposed to have this problem. Let me
explain, I've got a brand new install of 2007.0, a fresh copy of
portage, and this as my spec file:

How many times do we have to say this? :P

If you're going to build your own CD, you also need to build your own set
of stages with the same snapshot. This is the *only* way to completely
avoid the various upgrade blockers that occur in the tree.


is there a catalyst/stages FAQ ? if not, there should be ...


Are you volunteering?

--
Andrew Gaffney http://dev.gentoo.org/~agaffney/
Gentoo Linux Developer Catalyst/Installer + x86 release coordinator
--
gentoo-catalyst@lists.gentoo.org mailing list
 
Old 02-05-2008, 06:26 PM
Mike Frysinger
 
Default setarch blocked by util-linux

On Tuesday 05 February 2008, Andrew Gaffney wrote:
> Mike Frysinger wrote:
> > On Tuesday 05 February 2008, Derek Fedel wrote:
> >> On Feb 5, 2008 8:16 AM, Andrew Gaffney <agaffney@gentoo.org> wrote:
> >>> Derek Fedel wrote:
> >>>> I know! I know! 2.0.5 isn't supposed to have this problem. Let me
> >>>> explain, I've got a brand new install of 2007.0, a fresh copy of
> >>>> portage, and this as my spec file:
> >>>
> >>> How many times do we have to say this? :P
> >>>
> >>> If you're going to build your own CD, you also need to build your own
> >>> set of stages with the same snapshot. This is the *only* way to
> >>> completely avoid the various upgrade blockers that occur in the tree.
> >
> > is there a catalyst/stages FAQ ? if not, there should be ...
>
> Are you volunteering?

give me a list of questions/answers and i can do the XML. i dont watch this
list/irc channel though so i dont know what the FAQs
-mike
 
Old 02-07-2008, 08:38 PM
Chris Gianelloni
 
Default setarch blocked by util-linux

On Tue, 2008-02-05 at 14:26 -0500, Mike Frysinger wrote:
> > > is there a catalyst/stages FAQ ? if not, there should be ...
> >
> > Are you volunteering?
>
> give me a list of questions/answers and i can do the XML. i dont watch this
> list/irc channel though so i dont know what the FAQs

http://releng.gentoo.org/catalyst/faq.xml

Also, this has been around for *years* as it was written by my
predecessor.

There's no much you can do if people don't read the documentation that's
already out there. I have considered making catalyst do some checking
to ensure that the seed stage3 used by stage4/livecd-stage1 is built
with the same snapshot (version, anyway) as you're about to use for the
build, and bail out if it doesn't. This should resolve this "problem"
with catalyst and will keep people from doing stupid things.

--
Chris Gianelloni
Release Engineering Strategic Lead
Games Developer
 

Thread Tools




All times are GMT. The time now is 01:03 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org